Skip to main content
POST
/
mailboxes
/
{public_id}
/
suspend
Suspend a mailbox
curl --request POST \
  --url https://app.sendmux.ai/api/v1/mailboxes/{public_id}/suspend \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "id": "mbx_clxxxxxxxxxxxxxxxxxxxxxxxxx",
    "email": "agent@acme.com",
    "display_name": "<string>",
    "quota_bytes": 123,
    "send_scope": {
      "provider_public_ids": [
        "<string>"
      ],
      "group_public_ids": [
        "<string>"
      ]
    },
    "status": "active",
    "created_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

Idempotency-Key
string

Client-chosen unique key to safely retry the request. Cached for 24h per (team, endpoint, key).

Maximum string length: 255
Example:

"mailbox-suspend-20260424-001"

Path Parameters

public_id
string
required

Mailbox public ID

Response

Suspended mailbox

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required